Skip to main content

Write APIs

Public write APIs are currently not supported but coming soon.

Coming soon:

EndpointPurpose
POST /api/public/v1/webhooksSubscribe to marketplace, product, and transaction events.
POST /api/public/v1/productsCreate or update products.
POST /api/public/v1/discount-codesCreate discount codes for campaigns, partners, or checkout promotions.
POST /api/public/v1/marketplace/ordersCreate marketplace orders.
POST /api/public/v1/experiences/ordersCreate an order for an experience.
POST /api/public/v1/boxes/ordersCreate a box order.
POST /api/public/v1/digital-packs/ordersCreate a digital pack order.
POST /api/public/v1/fair-drops/ordersCreate a Fair Drop entry order.
POST /api/public/v1/primary/ordersBuy from DYLI-controlled inventory.
POST /api/public/v1/secondary/ordersBuy from a user resale listing or accepted offer.
POST /api/public/v1/ebay/listingsCreate or manage eBay listings.

If a route is visible but not supported, it returns:

{
"error": "not_open_yet",
"message": "Endpoint is currently not supported for public API use."
}